# Note that this is NOT a relocatable package
%define prefix   /usr

Summary: GNOME games.
Name: gnome-games
Version: 1.0.51
Release: 4
Copyright: LGPL
Group: Amusements/Games
Source: ftp://ftp.gnome.org/pub/gnome-games-%{version}.tar.gz
BuildRoot: /var/tmp/gnome-games-%{version}-root
Obsoletes: gnome
URL: http://www.gnome.org
Docdir: %{prefix}/doc

%description
The gnome-games package includes games for the GNOME GUI desktop
environment, including GnomeScott, ctali, freecell, gnibbles, gnobots,
gnobots2, gnome-stones, gnomine, gnotravex, gtali, gturing, iagno,
mahjongg, same-gnome, and sol.

Install gnome-games if you want games to play within GNOME.

%package devel
Summary: GNOME games development libraries.
Group: Development/Libraries
Requires: gnome-games = %{PACKAGE_VERSION}
Requires: gtk+-devel

%description devel
The gnome-games-devel package installs the libraries and files needed
to develop games for the GNOME GUI desktop environment.

Install gnome-games-devel if you're developing games for GNOME.

%prep
%setup -q

%build

CFLAGS="-g $RPM_OPT_FLAGS" ./configure --prefix=%prefix \
	--localstatedir=/var/lib --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} \
        sysconfdir=$RPM_BUILD_ROOT/etc \
        localstatedir=$RPM_BUILD_ROOT/var/lib  \
        install

#
# lawyers are fun
# lawyers are fun little
#
rm -f  $RPM_BUILD_ROOT%{prefix}/bin/gnometris
rm -f  $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Games/gnometris.desktop
rm -f  $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnome-gtetris.png
rm -rf $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnometris/
rm -f  $RPM_BUILD_ROOT/var/lib/games/gnometris.scores

rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Games/xbill.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/share/pixmaps/xbill.png
rm -f  $RPM_BUILD_ROOT/var/lib/games/gnome-xbill.scores

# strip binaries
strip $RPM_BUILD_ROOT%{prefix}/bin/* ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{prefix}/bin/GnomeScott
%{prefix}/bin/ctali
%{prefix}/bin/freecell
%{prefix}/bin/sol

# these are setgid games
%attr(2551, root, games) %{prefix}/bin/gnibbles
%attr(2551, root, games) %{prefix}/bin/gnobots2
%attr(2551, root, games) %{prefix}/bin/gnome-stones
%attr(2551, root, games) %{prefix}/bin/gnomine
%attr(2551, root, games) %{prefix}/bin/gnotravex
%attr(2551, root, games) %{prefix}/bin/gtali
%attr(2551, root, games) %{prefix}/bin/gturing
%attr(2551, root, games) %{prefix}/bin/iagno
%attr(2551, root, games) %{prefix}/bin/mahjongg
%attr(2551, root, games) %{prefix}/bin/same-gnome
%attr(2551, root, games) %{prefix}/bin/gataxx
%attr(2551, root, games) %{prefix}/bin/glines

%config(noreplace) /etc/sound/events/*
%{prefix}/share/gnibbles
%{prefix}/share/gnobots2
%{prefix}/share/gnome-stones
%{prefix}/share/gturing
%{prefix}/share/sol-games
%{prefix}/share/gnome/apps/Games/*
%{prefix}/share/gnome/help/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/mime-info/*
%{prefix}/share/pixmaps/*
%{prefix}/share/sounds/*

%{prefix}/lib/lib*.so.*
%{prefix}/lib/gnome-stones/objects/lib*.so*
%attr(664, games, games) /var/lib/games/*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/include/*

%changelog
* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- mark sound event files as config files

* Tue Sep 21 1999 Michael Fulbright <drmike@redhat.com>
- fixed gnotravex to not loop infinitely

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.40

* Sat Apr 10 1999 Jonathan Blandford <jrb@redhat.com>
- added new sol games and a fix for the old ones.

* Mon Mar 29 1999 Michael Fulbright <drmike@redhat.com>
- removed more offending t*tris stuff

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2
- made gnibbles have correct attr since its setgid
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- added score files to file list

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.0.1

* Fri Feb 19 1999 Michael Fulbright <drmike@redhat.com>
- removed *tris games

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8
- added sound event lists to file list
- touched up file list some more

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- added gnibbles data to file list

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.7

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.5

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Thu Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 in prep for GNOME 1.0

* Sat Nov 21 1998 Michael Fulbright <drmike@redhat.com>
- updated for 0.30 tree

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-games CVS source tree

